<?
  ### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
  ######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
    include_once ROOT_DIR . '/engine/classes/bbcode.class.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
} else
if ( $_GET['type'] == 'outbox' ) {
    include_once ROOT_DIR . '/modules/message/menu.php';
    
    ///$all_get_mess_in = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM messages WHERE from_id = '" . $_SESSION['iduser'] . "' and m_state = 'outbox' and to_del = 0" ) );
    $get_mess = mysql_query( "SELECT * FROM messages WHERE from_id = '" . $_SESSION['iduser'] . "' and m_state = 'outbox' and to_del = 0 GROUP BY to_id DESC ORDER BY data DESC" );
    ?>
	  <div class="content_bar">
	    <article class="postBox">
		  <div class="h2-title-header"><h2><a>Внутренняя почта</a></h2></div>
		  <div class="image_msg_p"></div>
		  <div class="textPreview" style="">
		    <p class="earnings_text" style="color: #545454;">
			  Пожалуйста, помните, что в сообщениях запрещены СПАМ, а так же нецензурные и </br>оскор­бительные выражения. Запрещено использовать почту в рекламных целях. По правилам проекта, Администрация имеет право просматривать сообщения и наказывать нарушителей.
		    </p>
		  </div>
		  <table class="msg-table-dell">
		    <tr>
			  <td class="pos_check" width="584px">
			    <label class="custom-control custom-checkbox">
				  <input type="checkbox" class="custom-control-input" id="check_all">
				  <span class="custom-control-indicator"></span>
				  <span class="custom-control-description">Выбрать все</span>
			    </label>
			  </td>
			  <td class="in_del_all">
			    <button type="button" class="btn btn-danger btn-sm" onclick="delall(); return false;">Удалить выбранные</button>
			  </td>
		    </tr>
		  </table>
		  <table class="msg-table">
		    <?
			  if ( mysql_num_rows( $get_mess ) > 0 ) {
		  
			    while ( $mess_row = mysql_fetch_array( $get_mess ) ) {
			
				  $pr1 = mysql_query( "SELECT id FROM messages WHERE to_id = '" . $_SESSION['iduser'] . "' and from_id = '" . $mess_row['to_id'] . "' and m_state = 'inbox' and from_del = 0" );
				  $pr2 = mysql_query( "SELECT id FROM messages WHERE to_id = '" . $mess_row['to_id'] . "' and from_id = '" . $_SESSION['iduser'] . "' and m_state = 'outbox' and to_del = 0" );
				  if ( mysql_num_rows( $pr1 ) > 0 or mysql_num_rows( $pr2 ) > 0 ) {
				
					$us_send = mysql_fetch_array( mysql_query( "SELECT username, avatar FROM user WHERE id = '" . $mess_row['to_id'] . "' LIMIT 1" ) );
				
					#формируем дату сообщения
					$month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
					if ( date( 'd.m.Y', $mess_row['data'] ) == date( 'd.m.Y', time() ) ) {
					  $mess_time = 'сегодня в ' . date( 'H:i', $mess_row['data'] );
					} else
					if ( date( 'd.m.Y', $mess_row['data'] ) == date( 'd.m.Y', time() - 86400 ) ) {
					  $mess_time = 'вчера в ' . date( 'H:i', $mess_row['data'] );
					} else {
					  $mess_time = ( int ) date( 'd', $mess_row['data'] ) . ' ' . $month[( int ) date( 'm', $mess_row['data'] ) - 1] . ' ' . date( 'Y', $mess_row['data'] )  . ' в ' . date( 'H:i', $mess_row['data'] );
					}
				
					?>
					  <script type="text/javascript">
						$(function() {
						  $("#check_all").change(function() {
							if ($(this).is(':checked')) {
							  $('.mess_checked input').attr('checked', true);
							  $('.mess_checked span').addClass('checked');
							} else {
							  $('.mess_checked input').attr('checked', false);
							  $('.mess_checked span').removeClass('checked');
							}
						  });
						});
						
						function delall() {
						  $('.out_del:checked').each(function() {
							msg.Del_out_all($(this).val());
						  });
						  return false;
						}
					  </script>
					  <tr class="wrap_mess" id="id_<?=$mess_row['to_id']?>" >
						<td >
						  <img src="/temp/avatar/<?=$us_send['avatar']?>" width="34" height="34" class="avatar-msg img-circle" alt="" />
						</td>
						<td width="574">
						  <div class="mess_info_user">
							<div class="mess_info_user_name"><?=$us_send['username']?> <span class="mess_time">(<?=$mess_time?>)</span></div>
							<div class="mess_end_user_name"><?=substr( parce_html_code( $mess_row['text'] ), 0, 50 )?> <? if(mb_strlen( $mess_row['text']) > 40) {?>...<?}?></div>
						   </div>
						</td>
						<td>
						  <div class="mess_kol"><?=$coltext?></div>
						</td>
						<td>
						  <button type="button" class="btn btn-primary btn-sm" onclick="document.location.href='/mread=<?=$mess_row['to_id']?>';">просмотреть</button>
						</td> 
						<td width="30px">
						  <div class="mess_checked ">
							<label class="custom-control custom-checkbox">
							  <input type="checkbox" class="out_del custom-control-input" id="check_<?=$mess_row['to_id']?>" value="<?=$mess_row['to_id']?>">
							  <span class="custom-control-indicator"></span>
							</label>
						  </div>
						</td>
					  </tr>
					<?
				  } else {
					echo '';
				  }
			    }
			  } else {
			    echo '<div style="text-align:center; margin-top:56px; padding:20px 10px; color:#999999;">Вы еще не отправляли ни одного сообщения.</div>';
			  }
		    ?>
		  </table>
	    </article>
	  </div>    
    <?	  
} else
if ( $_GET['type'] == 'inbox' ) {
    include_once ROOT_DIR . '/modules/message/menu.php';
    
    $all_get_mess_in = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM messages WHERE to_id = '" . $_SESSION['iduser'] . "' and m_state = 'inbox' and to_del = 0" ) );
    $get_mess = mysql_query( "SELECT * FROM messages WHERE to_id = '" . $_SESSION['iduser'] . "' and m_state = 'inbox' and to_del = 0 GROUP BY from_id ORDER BY data DESC" );
    ?>
	  <script type="text/javascript">
	    $(function() {
		  $("#check_all").change(function() {
		    if ($(this).is(':checked')) {
			  $('.mess_checked input').attr('checked', true);
			  $('.mess_checked span').addClass('checked');
		    } else {
			  $('.mess_checked input').attr('checked', false);
			  $('.mess_checked span').removeClass('checked');
		    }
		  });
	    });
	
	    function delall() {
		  $('.in_del:checked').each(function() {
		    msg.Del_in_all($(this).val());
		  });
		  return false;
	    }
	  
	    $(document).ready(function() {
		  $('.colmess-null').tipTip({defaultPosition:'right'});
	    });
	  </script>
	  <div class="content_bar">
	    <article class="postBox">
		  <div class="h2-title-header"><h2><a>Внутренняя почта</a></h2></div>
		  <div class="image_msg_p"></div>
		  <div class="textPreview" style="">
		    <p class="earnings_text" style="color: #545454;">
			  Пожалуйста, помните, что в сообщениях запрещены СПАМ, а так же нецензурные и <br>оскор­бительные выражения. Запрещено использовать почту в рекламных целях. По правилам проекта, Администрация имеет право просматривать сообщения и наказывать нарушителей.
		    </p>
		  </div>
		  <table class="msg-table-dell">
		    <tr>
			  <td class="pos_check" width="584px">
			    <label class="custom-control custom-checkbox">
				  <input type="checkbox" class="custom-control-input" id="check_all">
				  <span class="custom-control-indicator"></span>
				  <span class="custom-control-description">Выбрать все</span>
			    </label>
			  </td>
			  <td class="in_del_all">
			    <button type="button" class="btn btn-danger btn-sm" onclick="delall(); return false;">Удалить выбранные</button>
			  </td>
		    </tr>
		  </table>
		  <table class="msg-table">
		    <?
			  if ( mysql_num_rows( $get_mess ) > 0 ) {
		  
				while ( $mess_row = mysql_fetch_array( $get_mess ) ) {
					
				  $pr1 = mysql_query( "SELECT id FROM messages WHERE from_id = '" . $mess_row['from_id'] . "' and to_id = '" . $_SESSION['iduser'] . "' and m_state = 'inbox' and to_del = 0" );
				  $pr2 = mysql_query( "SELECT id FROM messages WHERE from_id = '" . $_SESSION['iduser'] . "' and to_id = '" . $mess_row['from_id'] . "' and m_state = 'outbox' and from_del = 0" );
				  if ( mysql_num_rows( $pr1 ) > 0 or mysql_num_rows( $pr2 ) > 0 ) {
					
					$us_send = mysql_fetch_array( mysql_query( "SELECT username, avatar FROM user WHERE id = '" . $mess_row['from_id'] . "' LIMIT 1" ) );
					
					$end_msg = mysql_fetch_array( mysql_query( "SELECT text, data FROM messages WHERE from_id = '" . $mess_row['from_id'] . "' ORDER BY data DESC LIMIT 1" ) );
					
					$colmess = mysql_query( "SELECT id FROM messages WHERE from_id = '" . $mess_row['from_id'] . "' and to_id = '" . $_SESSION['iduser'] . "' and m_state = 'inbox' and m_type = 0" );
					if ( mysql_num_rows( $colmess ) > 0 ) {
					  $coltitle = mysql_num_rows( $colmess ) . ' ' . getWord( mysql_num_rows( $colmess ), array( 'новое сообщение', 'новых сообщения', 'новых сообщений' ) );
					  $coltext = '<div class="tag tag-primary tag-pill pull-xs-right colmess-null" title="У вас '.$coltitle.'">'.mysql_num_rows( $colmess ).'</div>';
					} else {
					  $coltext = '<div class="tag tag-default tag-pill pull-xs-right colmess-null" title="Нет новых сообщений">0</div>';
					}
					
					#формируем дату сообщения
					$month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
					if ( date( 'd.m.Y', $end_msg['data'] ) == date( 'd.m.Y', time() ) ) {
					  $mess_time = 'сегодня в ' . date( 'H:i', $end_msg['data'] );
					} else
					if ( date( 'd.m.Y', $end_msg['data'] ) == date( 'd.m.Y', time() - 86400 ) ) {
					  $mess_time = 'вчера в ' . date( 'H:i', $end_msg['data'] );
					} else {
					  $mess_time = ( int ) date( 'd', $end_msg['data'] ) . ' ' . $month[( int ) date( 'm', $end_msg['data'] ) - 1] . ' ' . date( 'Y', $end_msg['data'] )  . ' в ' . date( 'H:i', $end_msg['data'] );
					}
					
					?>
					  <tr class="wrap_mess" id="id_<?=$mess_row['from_id']?>" >
						<td >
						  <img src="/temp/avatar/<?=$us_send['avatar']?>" width="34" height="34" class="avatar-msg img-circle" alt="" />
						</td>
						<td width="488">
						  <div class="mess_info_user">
							<div class="mess_info_user_name"><?=$us_send['username']?> <span class="mess_time">(<?=$mess_time?>)</span></div>
							<div class="mess_end_user_name"><?=substr( parce_html_code( $end_msg['text'] ), 0, 50 )?> <? if( mb_strlen( $end_msg['text'] ) > 40 ) { echo '...';}?></div>
						   </div>
						</td>
						<td width="68" >
						  <div class="div_centralizator"><?=$coltext?></div>
						</td>
						<td>
						  <button type="button" class="btn btn-primary btn-sm" onclick="document.location.href='/mread=<?=$mess_row['from_id']?>';">открыть диалог</button>
						</td> 
						<td width="30px">
						  <div class="mess_checked ">
							<label class="custom-control custom-checkbox">
							  <input type="checkbox" class="in_del custom-control-input" id="check_<?=$mess_row['from_id']?>" value="<?=$mess_row['from_id']?>">
							  <span class="custom-control-indicator"></span>
							</label>
						  </div>
						</td>
					  </tr>
					<?
				  } else {
					echo '';
				  }
				}
			  } else {
			    echo '<div style="text-align:center; margin-top:56px; padding:20px 10px; color:#999999;">У вас нет ни одного сообщения.</div>';
			  }
		    ?>
		  </table>
	    </article>
	  </div> 
	<?
}
?>